From 03c647ec47e99eb1f67c7cd92d4961e9ee8de1e7 Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Tue, 13 Nov 2012 21:54:56 -0500
Subject: [PATCH] Refactored pkiparser.py into PKIConfigParser.

The code in pkiparser.py has been converted into PKIConfigParser
class to facilitate further improvements.

Ticket #399
---
 base/deploy/src/pkidestroy              |    9 +-
 base/deploy/src/pkispawn                |   11 +-
 base/deploy/src/scriptlets/pkihelper.py |    6 +-
 base/deploy/src/scriptlets/pkiparser.py | 4461 ++++++++++++++++---------------
 4 files changed, 2246 insertions(+), 2241 deletions(-)

diff --git a/base/deploy/src/pkidestroy b/base/deploy/src/pkidestroy
index 82632fc1af721ef981ff25390ff38547cb46b72b..1597712e1d7057ca80ba45f5a491f3ecbca62f39 100755
--- a/base/deploy/src/pkidestroy
+++ b/base/deploy/src/pkidestroy
@@ -36,7 +36,7 @@ try:
     import time
     from time import strftime as date
     from pki.deployment import pkiconfig as config
-    from pki.deployment import pkiparser as parse
+    from pki.deployment.pkiparser import PKIConfigParser
     from pki.deployment import pkilogging
     from pki.deployment import pkimessages as log
 except ImportError:
@@ -92,7 +92,8 @@ def main(argv):
     pp = pprint.PrettyPrinter(indent=4)
 
     # Read and process command-line arguments.
-    parse.process_command_line_arguments(argv)
+    parser = PKIConfigParser()
+    parser.process_command_line_arguments(argv)
 
     # Enable 'pkidestroy' logging.
     config.pki_log_dir = config.pki_root_prefix +\
@@ -113,7 +114,7 @@ def main(argv):
         sys.exit(1)
 
     # Read the specified PKI configuration file.
-    rv = parse.read_pki_configuration_file()
+    rv = parser.read_pki_configuration_file()
     if rv != 0:
         config.pki_log.error(PKI_UNABLE_TO_PARSE_1, rv,
                              extra=config.PKI_INDENTATION_LEVEL_0)
@@ -148,7 +149,7 @@ def main(argv):
                          extra=config.PKI_INDENTATION_LEVEL_0)
 
     # Combine the various sectional dictionaries into a PKI master dictionary
-    parse.compose_pki_master_dictionary()
+    parser.compose_pki_master_dictionary()
     config.pki_master_dict['pki_destroy_log'] = config.pki_log_dir + "/" +\
                                                 config.pki_log_name
     config.pki_log.debug(log.PKI_DICTIONARY_MASTER,
diff --git a/base/deploy/src/pkispawn b/base/deploy/src/pkispawn
index f0543ce4dbbb90abfedf96d05872da53ceb8795f..fbb6b8e26cf006afe48937fa0727d637140f71d1 100755
--- a/base/deploy/src/pkispawn
+++ b/base/deploy/src/pkispawn
@@ -36,7 +36,7 @@ try:
     import time
     from time import strftime as date
     from pki.deployment import pkiconfig as config
-    from pki.deployment import pkiparser as parse
+    from pki.deployment.pkiparser import PKIConfigParser
     from pki.deployment import pkilogging
     from pki.deployment import pkimessages as log
 except ImportError:
@@ -92,7 +92,8 @@ def main(argv):
     pp = pprint.PrettyPrinter(indent=4)
 
     # Read and process command-line arguments.
-    parse.process_command_line_arguments(argv)
+    parser = PKIConfigParser()
+    parser.process_command_line_arguments(argv)
 
     if not os.path.exists(config.PKI_DEPLOYMENT_SOURCE_ROOT +\
                           "/" + config.pki_subsystem.lower()):
@@ -120,7 +121,7 @@ def main(argv):
         sys.exit(1)
 
     # Read the specified PKI configuration file.
-    rv = parse.read_pki_configuration_file()
+    rv = parser.read_pki_configuration_file()
     if rv != 0:
         config.pki_log.error(PKI_UNABLE_TO_PARSE_1, rv,
                              extra=config.PKI_INDENTATION_LEVEL_0)
@@ -155,14 +156,14 @@ def main(argv):
                          extra=config.PKI_INDENTATION_LEVEL_0)
 
     # Read in the PKI slots configuration file.
-    parse.compose_pki_slots_dictionary()
+    parser.compose_pki_slots_dictionary()
     config.pki_log.debug(log.PKI_DICTIONARY_SLOTS,
                          extra=config.PKI_INDENTATION_LEVEL_0)
     config.pki_log.debug(pp.pformat(config.pki_slots_dict),
                          extra=config.PKI_INDENTATION_LEVEL_0)
 
     # Combine the various sectional dictionaries into a PKI master dictionary
-    parse.compose_pki_master_dictionary()
+    parser.compose_pki_master_dictionary()
     config.pki_master_dict['pki_spawn_log'] = config.pki_log_dir + "/" +\
                                               config.pki_log_name
     config.pki_log.debug(log.PKI_DICTIONARY_MASTER,
diff --git a/base/deploy/src/scriptlets/pkihelper.py b/base/deploy/src/scriptlets/pkihelper.py
index ba67465ef989e9ffcc9a34ff576435a0611282f8..b16fbf62098c07f4411ad81701cad7839ee06e66 100644
--- a/base/deploy/src/scriptlets/pkihelper.py
+++ b/base/deploy/src/scriptlets/pkihelper.py
@@ -47,7 +47,7 @@ from pkiconfig import pki_slots_dict as slots
 from pkiconfig import pki_selinux_config_ports as ports
 import pkimanifest as manifest
 import pkimessages as log
-from pkiparser import read_simple_configuration_file
+from pkiparser import PKIConfigParser
 
 
 # PKI Deployment Helper Functions
@@ -2254,7 +2254,7 @@ class security_domain:
     def deregister(self, critical_failure=False):
         try:
             # process this PKI subsystem instance's 'CS.cfg'
-            cs_cfg = read_simple_configuration_file(master['pki_target_cs_cfg'])
+            cs_cfg = PKIConfigParser.read_simple_configuration_file(master['pki_target_cs_cfg'])
 
             # assign key name/value pairs
             machinename = cs_cfg.get('service.machineName')
@@ -2332,7 +2332,7 @@ class security_domain:
                 if os.path.exists(master['pki_shared_password_conf']) and\
                    os.path.isfile(master['pki_shared_password_conf']) and\
                    os.access(master['pki_shared_password_conf'], os.R_OK):
-                    tokens = read_simple_configuration_file(
+                    tokens = PKIConfigParser.read_simple_configuration_file(
                                  master['pki_shared_password_conf'])
                     hardware_token = "hardware-" + token_name
                     if tokens.has_key(hardware_token):
